Bug 261701 - RFE: Update to Subversion v1.4.6
RFE: Update to Subversion v1.4.6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 17:17 EDT by Ryan Clark
Modified: 2008-02-13 10:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 10:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Clark 2007-08-28 17:17:29 EDT
Description of problem:

Subversion v1.4.5 is available, with a security fix. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2007-08-29 08:41:11 EDT
The security issue only affects Win32 clients.
Comment 2 Alex Lancaster 2007-12-09 07:59:12 EST
Since subversion doesn't currently build in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=282428

and since everything in rawhide that uses subversion needs to be rebuilt against
the new subversion because of the openssl/openldap soname bump, maybe this would
be a good time to rebase against 1.4.5?
Comment 3 Joe Orton 2007-12-10 05:43:47 EST
1.4.5 adds *only* a Win32-specific change.  Rebuilds are failing at random
points in the test suite and I'm yet to determine why.
Comment 4 Alex Lancaster 2007-12-10 08:15:14 EST
(In reply to comment #3)
> 1.4.5 adds *only* a Win32-specific change.  Rebuilds are failing at random
> points in the test suite and I'm yet to determine why.

Yep, I realized that when I looked closely.  I had a (vain?) hope that the 1.4.5
update might fix those test suite failures.  The Debian bug report

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=453166

had a cryptic reference to the problem at the end of the report, but details or
 fix.  I guess you already saw that because you extracted the SWIG patch from there.
Comment 5 Laurent Rineau 2008-01-25 03:53:00 EST
Please update to 1.4.6 (in Fedora-8 also). It fixes several bugs.
Comment 6 Joe Orton 2008-02-13 10:15:09 EST
Raw Hide is updated, F7/8 updates are in progress.

Note You need to log in before you can comment on or make changes to this bug.